org.eclipse.wst.jsdt.core.dom

## Class ExportDeclaration

- java.lang.Object
- - org.eclipse.wst.jsdt.core.dom.ASTNode
  - - org.eclipse.wst.jsdt.core.dom.ExportDeclaration

    public class ExportDeclaration
    extends ASTNode

ExportDeclaration AST node type Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves

Since:
  2.0

### Field Summary

Fields
`static SimplePropertyDescriptor` `ALL_PROPERTY` The "all" structural property of this node type.
`static ChildPropertyDescriptor` `DECLARATION_PROPERTY` The "declaration" structural property of this node type.
`static SimplePropertyDescriptor` `DEFAULT_PROPERTY` The "isDefault" structural property of this node type.
`static ChildPropertyDescriptor` `SOURCE_PROPERTY` The "source" structural property of this node type.
`static ChildListPropertyDescriptor` `SPECIFIERS_PROPERTY` The "specifiers" structural property of this node type

### Fields inherited from class org.eclipse.wst.jsdt.core.dom.ASTNode

`ANONYMOUS_CLASS_DECLARATION, ARRAY_ACCESS, ARRAY_CREATION, ARRAY_INITIALIZER, ARRAY_NAME, ARRAY_TYPE, ARROW_FUNCTION_EXPRESSION, ASSIGNMENT, ASSIGNMENT_NAME, BLOCK, BLOCK_COMMENT, BOOLEAN_LITERAL, BREAK_STATEMENT, CATCH_CLAUSE, CHARACTER_LITERAL, CLASS_INSTANCE_CREATION, CONDITIONAL_EXPRESSION, CONSTRUCTOR_INVOCATION, CONTINUE_STATEMENT, DEBUGGER_STATEMENT, DO_STATEMENT, EMPTY_EXPRESSION, EMPTY_STATEMENT, ENHANCED_FOR_STATEMENT, EXPORT_DECLARATION, EXPRESSION_STATEMENT, FIELD_ACCESS, FIELD_DECLARATION, FOR_IN_STATEMENT, FOR_OF_STATEMENT, FOR_STATEMENT, FUNCTION_DECLARATION, FUNCTION_DECLARATION_STATEMENT, FUNCTION_EXPRESSION, FUNCTION_INVOCATION, FUNCTION_REF, FUNCTION_REF_PARAMETER, IF_STATEMENT, IMPORT_DECLARATION, INFERRED_TYPE, INFIX_EXPRESSION, INITIALIZER, INSTANCEOF_EXPRESSION, JAVASCRIPT_UNIT, JSDOC, LABELED_STATEMENT, LINE_COMMENT, LIST_EXPRESSION, MALFORMED, MEMBER_REF, META_PROPERTY, MODIFIER, MODULE_SPECIFIER, NULL_LITERAL, NUMBER_LITERAL, OBJECT_LITERAL, OBJECT_LITERAL_FIELD, OBJECT_NAME, ORIGINAL, PACKAGE_DECLARATION, PARENTHESIZED_EXPRESSION, POSTFIX_EXPRESSION, PREFIX_EXPRESSION, PRIMITIVE_TYPE, PROTECT, QUALIFIED_NAME, QUALIFIED_TYPE, RECOVERED, REGULAR_EXPRESSION_LITERAL, REST_ELEMENT_NAME, RETURN_STATEMENT, SIMPLE_NAME, SIMPLE_TYPE, SINGLE_VARIABLE_DECLARATION, SPREAD_ELEMENT, STRING_LITERAL, SUPER_CONSTRUCTOR_INVOCATION, SUPER_FIELD_ACCESS, SUPER_METHOD_INVOCATION, SWITCH_CASE, SWITCH_STATEMENT, TAG_ELEMENT, TEMPLATE_ELEMENT, TEMPLATE_LITERAL, TEXT_ELEMENT, THIS_EXPRESSION, THROW_STATEMENT, TRY_STATEMENT, TYPE_DECLARATION, TYPE_DECLARATION_EXPRESSION, TYPE_DECLARATION_STATEMENT, TYPE_LITERAL, UNDEFINED_LITERAL, VARIABLE_DECLARATION_EXPRESSION, VARIABLE_DECLARATION_FRAGMENT, VARIABLE_DECLARATION_STATEMENT, WHILE_STATEMENT, WITH_STATEMENT, YIELD_EXPRESSION`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ASTNode` `getDeclaration()`
`StringLiteral` `getSource()`
`boolean` `isAll()`
`boolean` `isDefault()`
`static java.util.List<StructuralPropertyDescriptor>` `propertyDescriptors(int apiLevel)` Returns a list of structural property descriptors for this node type.
`void` `setAll(boolean isAll)`
`void` `setDeclaration(ASTNode declaration)`
`void` `setDefault(boolean isDefault)`
`void` `setSource(StringLiteral source)`
`java.util.List` `specifiers()`

### Methods inherited from class org.eclipse.wst.jsdt.core.dom.ASTNode

`accept, copySubtree, copySubtrees, delete, equals, getAST, getBodyChild, getFlags, getLength, getLocationInParent, getNodeType, getParent, getProperty, getRoot, getStartPosition, getStructuralProperty, hashCode, nodeClassForType, properties, setFlags, setProperty, setSourceRange, setStructuralProperty, structuralPropertiesForType, subtreeBytes, subtreeMatch, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SOURCE_PROPERTY

    public static final ChildPropertyDescriptor SOURCE_PROPERTY

The "source" structural property of this node type.

#### SPECIFIERS_PROPERTY

    public static final ChildListPropertyDescriptor SPECIFIERS_PROPERTY

The "specifiers" structural property of this node type

#### DECLARATION_PROPERTY

    public static final ChildPropertyDescriptor DECLARATION_PROPERTY

The "declaration" structural property of this node type.

#### DEFAULT_PROPERTY

    public static final SimplePropertyDescriptor DEFAULT_PROPERTY

The "isDefault" structural property of this node type.

#### ALL_PROPERTY

    public static final SimplePropertyDescriptor ALL_PROPERTY

The "all" structural property of this node type.

### Method Detail

#### propertyDescriptors

    public static java.util.List<StructuralPropertyDescriptor> propertyDescriptors(int apiLevel)

Returns a list of structural property descriptors for this node type. Clients must not modify the result.

Parameters:
  `apiLevel` - the API level; one of the AST.JLS* constants
Returns:
  a list of property descriptors (element type: `StructuralPropertyDescriptor`)

#### specifiers

    public java.util.List specifiers()

#### isDefault

    public boolean isDefault()

#### setDefault

    public void setDefault(boolean isDefault)

#### isAll

    public boolean isAll()

#### setAll

    public void setAll(boolean isAll)

#### getSource

    public StringLiteral getSource()

#### setSource

    public void setSource(StringLiteral source)

#### getDeclaration

    public ASTNode getDeclaration()

#### setDeclaration

    public void setDeclaration(ASTNode declaration)